#include <bits/stdc++.h>
using namespace std;

#define endl "\n"
#define ll long long
#define PB push_back
#define F first
#define S second
#define all(a) a.begin(), a.end()
#define MAX (int)1e6
#define Fast ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define w(a) cout<<#a<<" : "<<a<<endl;
#define ldb long double
#define vi vector<int>
#define pii pair<int,int>
#define pdi pair<ldb,int>
#define N 1450
#define INF (int)1'450'000

/// drugi

int main()
{
    Fast;
    int n; cin>>n;
    vector<pair<ldb,ll>> a(n);
    for(auto &x:a) cin>>x.S>>x.F;
    ll sum=0;
    ldb ans=0;
    sort(all(a), greater<pair<ldb,ll>>());
    for(auto x:a)
    {
        sum+=x.S;
        ans=max(ans,(ldb)sum*x.F/100);
    }
    cout<<fixed<<showpoint<<setprecision(4)<<ans;
    return 0;
}